> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 0774759d-c91a-46c4-b5fe-843ee9863449
---

# Determine if the auto-save buffer differs from the live layout

> Returns a dictionary with has_buffered_changes boolean depending on if the buffer is different from the live object.



## OpenAPI

````yaml specs/legacy/v2/layouts-v2.json GET /content/api/v2/layouts/{layoutId}/has-buffered-changes
openapi: 3.0.1
info:
  title: Layouts API
  description: >-
    Use the layouts API to retrieve data about global groups for CMS templates
    in the developer file system. These layouts can be found in the design
    manager.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Layouts
paths:
  /content/api/v2/layouts/{layoutId}/has-buffered-changes:
    get:
      tags:
        - Layouts
      summary: Determine if the auto-save buffer differs from the live layout
      description: >-
        Returns a dictionary with has_buffered_changes boolean depending on if
        the buffer is different from the live object.
      operationId: getLayoutBufferedChanges
      parameters:
        - name: layoutId
          in: path
          description: The ID of the layout
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_buffered_changes:
                    type: boolean
                    description: Whether there are buffered changes

````